Subject: bug#64696: 30.0.50; indent-to inherits preceding text properties, including 'invisible

From: Eli Zaretskii <[email-masked]>
Date: Wed, 19 Jul 2023 16:10:33 +0300

> From: Ihor Radchenko <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> Date: Wed, 19 Jul 2023 08:42:45 +0000
> 
> Stefan Monnier <[email-masked]> writes:
> 
> >>> FWIW, I can't see any good reason to inherit properties here, other than
> >>> "we've always done that", but I'd be surprised if making this change
> >>> won't affect some other use elsewhere :-(
> >>
> >> ??? That's a non-starter, from where I stand.
> >
> > I formulated it differently, but you're just agreeing with the "but ..."
> > quoted above :-)
> 
> Note that unlike `indent-to', `insert' does not inherit properties.
> Not to say that changing `indent-to' is safe, but there is slight
> historical inconsistency here.

I don't see any inconsistency.  'insert' is a much more
general-purpose primitive than indent-to.  It would be dead wrong for
each insertion to inherit the properties.

indent-to is different: when you indent text, you supposed want the
whitespace to use the same face, for example.  Think about it.